/* admin.less */
.formtable tbody th {
    font-weight: normal;
    text-align: right;
}

.path-admin #assignrole {
    width: 100%;
    margin: 2 * $spacer 0;
}

span + .no-overflow {
  .admintable {
      margin-top: 2rem;
  }
}

.admintable {
  margin-bottom: 2rem;
}

.environmenttable {
    .warn {
      padding: 0.5rem 1rem;
      background-color: $state-warning-bg;
      color: darken($state-warning-bg, 80%);
    }

    .error {
      padding: 0.5rem 1rem;
      background-color: $state-danger-bg;
      color: darken($state-danger-bg, 80%);
    }

    .ok {
      padding: 0.5rem 1rem;
      background-color: $state-success-bg;
      color: darken($state-success-bg, 80%);
    }
}

.path-admin .admintable.environmenttable .name,
.path-admin .admintable.environmenttable .info,
.path-admin #assignrole .admintable .role,
.path-admin #assignrole .admintable .userrole,
.path-admin #assignrole .admintable .roleholder {
    white-space: nowrap;
}

.path-admin .incompatibleblockstable td.c0 {
    font-weight: bold;
}

#page-admin-course-category .addcategory {
    padding: 10px;
}

#page-admin-course-index .editcourse {
    margin: 20px auto;
}

.timewarninghidden {
    display: none;
}

.statusok {
    @extend .tag;
    @extend .tag-success;
}

.statuswarning {
    @extend .tag;
    @extend .tag-warning;
}

.statusserious,
.statuscritical {
    @extend .tag;
    @extend .tag-danger;
}

#page-admin-report-capability-index #capabilitysearch {
    width: 30em;
}

#page-admin-report-backups-index .backup-error,
#page-admin-report-backups-index .backup-unfinished {
    @extend .tag-danger;
}

#page-admin-report-backups-index .backup-skipped,
#page-admin-report-backups-index .backup-ok,
#page-admin-report-backups-index .backup-notyetrun {
    @extend .tag-success;
}

#page-admin-report-backups-index .backup-warning {
    @extend .tag-warning;
}

#page-admin-qtypes .disabled,
#page-admin-qbehaviours .disabled {
    @extend .text-muted;
}

#page-admin-qtypes #qtypes div,
#page-admin-qtypes #qtypes form,
#page-admin-qbehaviours #qbehaviours div,
#page-admin-qbehaviours #qbehaviours form {
    display: inline;
}

#page-admin-qtypes #qtypes img.spacer,
#page-admin-qbehaviours #qbehaviours img.spacer {
    width: 16px;
}

#page-admin-qbehaviours .cell.c3,
#page-admin-qtypes .cell.c3 {
    font-size: $font-size-sm;
}

#page-admin-lang .generalbox,
#page-admin-course-index .singlebutton,
#page-admin-course-index .addcategory,
#page-course-index .buttons,
#page-course-index-category .buttons,
#page-admin-course-category .addcategory,
#page-admin-stickyblocks .generalbox,
#page-admin-maintenance .buttons,
#page-admin-course-index .buttons,
#page-admin-course-category .buttons,
#page-admin-index .copyright,
#page-admin-index .copyrightnotice,
#page-admin-index .adminerror .singlebutton,
#page-admin-index .adminwarning .singlebutton,
#page-admin-index #layout-table .singlebutton {
    text-align: center;
}

#capabilitysearchui {
  margin-bottom: 2 * $spacer;
  width: 100%;
  display: block;
}

.path-admin-roles .capabilitysearchui {
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    margin-top: $spacer;
    margin-bottom: $spacer;
}

#page-admin-roles-define {
  .topfields {
      margin: 1em 0 2em;
  }

  .capdefault {
      background-color: $table-bg-hover;
  }
}


#page-filter-manage .backlink,
.path-admin-roles .backlink {
    margin-top: 2 * $spacer;

    a {
      margin-top: 2 * $spacer;
    }
}

#page-admin-roles-explain #chooseuser h3,
#page-admin-roles-usersroles .contextname {
    margin-top: 0;
}

#page-admin-roles-explain #chooseusersubmit {
    margin-top: 0;
    text-align: center;
}

#page-admin-roles-usersroles {
  [role="main"] {
      ul {
        padding: 0;
        margin-top: 1rem;

        li {
          list-style: none;
          padding-top: 1rem;
          padding-bottom: 2rem;
          margin-bottom: 1rem;

          border-bottom: 1px solid $border-color;

          &:last-child {
            border-bottom: none;
            margin-bottom: 0;
            padding-bottom: 0;
          }

          p {
            font-size: $font-size-xs;
            a {
              font-size: $font-size-base!important;
              margin: 0 0.25rem;
              &:before {
                display: none;
              }
            }
          }

          ul {
            li {
              h4 {
                font-size: $font-size-sm;
                color: $body-color;
              }
            }
          }
        }
      }
  }

  p {
      margin: 0;
  }
}

#page-admin-roles-override .cell.c1,
#page-admin-roles-assign .cell.c3,
#page-admin-roles-assign .cell.c1 {
    padding-top: 0.75em;
}

#page-admin-roles-assign {
  #assigningrole {
    tr {
      background-color: transparent;

      td {
        padding: 0!important;
      }
    }
  }
}

#page-admin-roles-override .overridenotice,
#page-admin-roles-define .definenotice {
    margin-bottom: 2rem;
    text-align: left;
}

.releasenoteslink,
.adminwarning,
.adminerror {
    position: relative;
    padding: $alert-padding-y $alert-padding-x;
    margin-bottom: 1rem;
    border: $alert-border-width solid transparent;

    font-size: $font-size-sm;
    text-align: left;

    @include border-radius($alert-border-radius);

    &.card-content {
      display: block;
      margin: 20px 0;
    }

    .singlebutton {
        margin: 0;
    }
}

.adminwarning {
    @extend .alert-warning;
}

.adminerror {
    @extend .alert-danger;
}

.releasenoteslink {
    @extend .alert-info;
}

.adminwarning.availableupdatesinfo .moodleupdateinfo span {
    display: block;
}

        .moodleupdateinfo {
            margin: 10px 0;
            padding: 10px 30px;
            background-color: $white;
            border-radius: $border-radius;
            
            .box {
                padding: 0!important;
                margin: 0;

                font-size: $font-size-base;

                span {
                    display: block;
                    margin: 5px 0;
                    font-size: $font-size-sm;
                }

                .release {
                    font-size: 1.25rem;
                    font-weight: $font-weight-bold;
                }

                .box {
                    padding: 0!important;
                }
            }
        }

.updateplugin div {
    margin-bottom: 0.5em;
}

.updateplugin .updatepluginconfirmexternal {
    @extend .tag-warning;
}

#page-admin-user-user_bulk #users .fgroup {
    white-space: nowrap;
}

#page-admin-report-stats-index .graph {
    text-align: center;
    margin-bottom: 1em;
}

#page-admin-report-courseoverview-index .graph {
    text-align: center;
    margin-bottom: 1em;
}

#page-admin-lang .translator {
    border-width: 1px;
    border-style: solid;
}

// This is the CSS for the role assignment control.
.path-admin .roleassigntable {
    width: 100%;
}

.path-admin .roleassigntable td {
    vertical-align: top!important;
}

.path-admin .roleassigntable p {
    text-align: left;
    margin: 1rem 0;
}

.path-admin .roleassigntable #existingcell,
.path-admin .roleassigntable #potentialcell {
    width: 42%;
}

// Targetting the label at the top.
.path-admin .roleassigntable #existingcell p > label:first-child,
.path-admin .roleassigntable #potentialcell p > label:first-child {
    font-weight: bold;
}

.path-admin .roleassigntable #buttonscell {
    width: 16%;
}

.path-admin .roleassigntable #buttonscell #assignoptions {
    font-size: $font-size-sm;
}

.path-admin .roleassigntable #removeselect_wrapper,
.path-admin .roleassigntable #addselect_wrapper {
    width: 100%;
}

.path-admin table.rolecap tr.rolecap th,
.defineroletable .rolecap th,
#defineroletable .rolecap th {
    text-align: left;
    font-weight: normal;
    border-bottom: 1px solid $gray-400!important; //e.g admin/roles/check.php -> Permission table
}

.path-admin .rolecap .hiddenrow {
    display: none;
}

.path-admin #defineroletable {
    .rolecap {
        .inherit,
        .allow,
        .prevent,
        .prohibit {
            text-align: center;
            padding: 0;
            min-width: 3.5em;
        }
    }
}

.path-admin .rolecap .cap-name,
.path-admin .rolecap .note {
    display: block;
    font-size: $font-size-xs;
    white-space: nowrap;
    font-weight: $font-weight-normal!important;

    margin-top: 0.5rem;
}

.path-admin .rolecap label {
    display: block;
    text-align: center;
    padding: 0.5em;
    margin: 0;
}

.plugincheckwrapper {
    width: 100%;
}

.environmentbox {
    margin-top: 1em;
}

#mnetconfig table {
    margin-left: auto;
    margin-right: auto;
}

#trustedhosts .generaltable {
    margin-left: auto;
    margin-right: auto;
    width: 500px;
}

#trustedhosts .standard {
    width: auto;
}

// This usage of legend is a bit weird,
// seems to be using them as error text
// that's only sometimes visible. Should
// look into sorting it.
#adminsettings {
  legend {
      display: none;
  }

  fieldset.error {
      margin: .2em 0 .5em 0;

      legend {
          display: block;
      }
  }

  .form-overridden {
      @extend .alert-info;
  }

  h2 {
    margin-bottom: 2 * $spacer;

    a {
      font-weight: $font-weight-sm-bold;
      text-decoration: none;
      color: $body-color-secondary;
    }
  }
}


#admin-spelllanguagelist textarea,
#page-admin-setting-editorsettingstinymce .form-textarea textarea {
    /* rtl:ignore */
    text-align: left;
    /* rtl:ignore */
    direction: ltr;
}

/* Styles for flags on admin settings */
.adminsettingsflags {
    float: right;
    display: inline-flex;
    align-items: center;
    margin: 0 10px;
    padding: 5px;

    background-color: $red-100;
    border-radius: $border-radius;

    label {
        margin: 0 1rem 0 0;
        color: $red-700;
        font-size: $font-size-xs;
    }
}

.form-description,
.formsettingheading {

    pre {
        /*rtl:ignore*/
        direction: ltr;
        max-height: 300px;
        overflow-y: auto;

        background-color: $gray-100;
        font-size: $font-size-xs;
        color: $gray-800;
        padding: 10px 15px;
        border-radius: $border-radius;
    }

}

/* Typography - Admin Panel */
.form-description {
    max-width: 1440px;
  
    font-size: $font-size-xs;
    color: $body-color-light;
  }
  
  .form-item {
    padding: $spacer 0;
    margin-bottom: $spacer;

    @include media-breakpoint-only(sm) {
    padding: 0;
    }
  }

.formsettingheading {
    padding: 2 * $spacer 0;
  
    .form-horizontal {
        @extend .text-muted;
    }
  
    p a {
      display: inline-flex;
    }
  }

.form-item .form-setting .form-htmlarea {
    display: inline;
}

.form-item .form-setting .form-htmlarea .htmlarea {
    width: 640px;
    display: block;
}

.form-item .form-setting .form-multicheckbox ul {
    list-style: none;
    padding: 0;
    margin: 7px 0 0 0;
}

.form-item .form-setting .defaultsnext {
    display: inline;
}

.form-item .form-setting .locked-checkbox {
    margin-right: 0.2em;
    margin-left: 0.5em;
    display: inline;
}

.form-item .form-setting .form-password .unmask,
.form-item .form-setting .form-defaultinfo {
    display: inline-block;
}

.form-item .form-setting .form-defaultinfo {
    max-width: 300px;
    word-wrap: break-word;
}


    [data-passwordunmask="wrapper"],
    .form-password {
        background-color: $red-100;
        padding: 10px;
        border-radius: $border-radius;

        .text-muted {
            font-size: $font-size-xs;
            color: $red-700!important;
        }
    }

#admin-emoticons td input {
    width: 8em;
}

#adminthemeselector {
    img {
        max-width: 300px;
        border-radius: $border-radius;
    }

    .selectedtheme td.c0 {
        width: 300px;
        border: 1px solid $state-info-border;
        border-right-width: 0;
    }

    .selectedtheme td.c1 {
        border: 1px solid $state-info-border;
        border-left-width: 0;
    }

    .selectedtheme td {
        background-color: $theme-color-9;
        color: $theme-color-3!important;
        border-bottom: 2px solid $theme-color-3!important;
    }
}

.admin_colourpicker,
.admin_colourpicker_preview {
    display: none;
}

.jsenabled .admin_colourpicker_preview {
    display: inline;
}

.jsenabled .admin_colourpicker {
    display: block;
    height: 102px;
    width: 410px;
    margin-bottom: 10px;
    box-sizing: content-box;
}

.admin_colourpicker .loadingicon {
    vertical-align: middle;
    margin-left: auto;
}

.admin_colourpicker .colourdialogue {
    float: left;
    border: 1px solid $state-info-border;
    border-radius: $border-radius;
}

.admin_colourpicker .previewcolour {
    border: 1px solid $state-info-border;
    margin-left: 301px;
    border-radius: $border-radius;
}

.admin_colourpicker .currentcolour {
    border: 1px solid $state-info-border;
    margin-left: 301px;
    border-top-width: 0;
    border-radius: $border-radius;
}

#page-admin-index #notice .checkforupdates {
    text-align: center;
}

        .checkforupdates {
            margin: 0!important;
            padding: 5px 10px;

            border: 2px solid $theme-color-3;
            border-radius: $border-radius;
            background-color: $theme-color-9;

            font-size: $font-size-xs;
            color: $theme-color-3;

            width: 100%;
            display: inline-flex;
            align-items: center;

            .btn {
                margin: 0 20px 0 0;
            }
        }

#page-admin-index .adminwarning.availableupdatesinfo .moodleupdateinfo.maturity200 .info.release {
    @extend .tag-info;
}

#page-admin-index .adminwarning.availableupdatesinfo .moodleupdateinfo.maturity100 .info.release,
#page-admin-index .adminwarning.availableupdatesinfo .moodleupdateinfo.maturity150 .info.release {
    @extend .tag-warning;
}

#page-admin-index .adminwarning.availableupdatesinfo .moodleupdateinfo.maturity50 .info.release {
    @extend .tag-danger;
}

// Plugins overview page at admin/plugins
#page-admin-index .adminwarning .checkforupdates {
  .singlebutton {
    margin: 0 0 $spacer 0!important;
  }
}

#page-admin-plugins {
    #plugins-overview-panel {
        .info {
            display: inline-block;
            padding: 1.5rem;
            margin-right: 1rem;

            a {
                color: $body-color;

                &:hover {
                    text-decoration: none;
                }
            }
        }
    }

    .checkforupdates {
        margin: 10px 0!important;

        .singlebutton {
            margin: 5px 0;
            padding: 0;

            div,
            input {
                margin: 0 3px 0 0;
            }
        }
    }

    .updateavailableinstallall {
        margin: 5px 0;
        padding: 0;

        div,
        input {
            margin: 0 3px 5px 0;
        }
    }

    #plugins-control-panel {
        .status-missing td {
            background-color: $state-warning-bg;
        }

        .pluginname {
            .componentname {
                font-size: $font-size-xs;
                @extend .text-muted;
                margin-left: 39px;
                margin-top: 0.25rem;
            }

            img.icon {
              margin: 0 20px 0 0!important;
              width: 18px;
            }

            img.spacer {
              height: 20px;
            }
        }

        .version {
            .versionnumber {
                font-size: $font-size-sm;
                @extend .text-muted;
            }
        }

        .uninstall {
            a {
                color: $state-danger-text;

                &:before {
                  background-color: $state-danger-text;
                }
            }
        }

        .notes {
            .label {
                margin-right: 3px;
            }

            .requiredby {
                font-size: $font-size-sm;
                @extend .text-muted;
            }
        }
    }
}


// Plugins check page displayed during upgrade.

    // Section before the plugins check table.
    .lasttimefetched {
      margin: 5px 0;
      font-size: $font-size-xs;
      color: $gray-700;
    }

#plugins-check-page {

    // Check for updates.
    .checkforupdates {
        .singlebutton {
            margin: 5px 0;
            padding: 0;

            div,
            input {
                margin: 0 3px 0 0;
            }
        }
    }

    #plugins-check-info {

        .actions {
          margin: 2 * $spacer 0;

          .btn {
            margin-right: 1rem;
          }


            > div {
                display: inline-block;
                margin-right: 2rem;

                .badge {
                  margin-left: 1rem;
                }

                a {
                  display: inline-flex;
                  padding: 1rem 0;
                  line-height: 1;
                  color: $body-color;
                  text-decoration: none;

                  border-bottom: 1px solid $border-color;

                  &:hover {
                    color: $theme-color-3;
                    text-decoration: none;

                    border-color: $theme-color-3;
                  }
                }
            }

            .singlebutton {
                margin: 5px 0;
                padding: 0;

                div,
                input {
                    margin: 0 3px 0 0;
                }
            }
        }

        .pluginicon { width: 30px;}
        .pluginname {
          font-weight: $font-weight-bold;
          font-size: $font-size-sm;
        }

        #plugins-check .displayname .plugindir { margin-left: 50px; }

        .pluginname {
          margin: 0 10px;
        }

    }

    // Plugins check table.
    #plugins-check {

        .smallicon {
          width: 30px;
          margin-right: 1rem!important;
        }

        .requires-ok {
            @extend .text-muted;
        }

        .status-missing,
        .status-downgrade {
            td {
                background-color: $state-danger-bg;
            }
        }

        .displayname {
            .plugindir {
                @extend .text-muted;
                font-size: $font-size-xs;
                font-weight: $font-weight-sm-bold;

                margin-top: 0.5rem;
            }
        }

        .requires ul {
            margin-left: 13px; // To undo the default 25px, does not look that great inside a table cell;
            line-height: 1.5;

            li {
              margin-bottom: 0.25rem;

              &:last-child {
                margin-bottom: 0;
              }
            }
        }

        .status {
            .actionbutton {
                margin: 5px 0;
                padding: 0;

                input {
                    margin: 0;
                }
            }
        }
    }

    .plugins-check-dependencies-actions {
        > div {
            display: inline-block;
            margin-right: 1em;
        }

        .singlebutton {
            margin: 5px 0;
            padding: 0;

            div,
            input {
                margin: 0 3px 0 0;
            }
        }
    }

    // List of available dependencies on the plugins check page.
    #plugins-check-available-dependencies {
        .displayname .component {
            font-size: $font-size-sm;
            @extend .text-muted;
        }

        .info .actions {
            > div {
                display: inline-block;
                margin-right: 1em;
            }

            .dependencyinstall {
                display: block;
                margin: 5px 0;
                padding: 0;

                input {
                    margin: 0;
                }
            }
        }
    }
}

.plugins-check-page  {
  .continuebutton {
    margin: 0;
    text-align: center;

    a {
      margin: 0;
    }
  }


  #plugins-check-page {
    margin: 0;

  }

  .checkforupdates {
    margin-top: 2rem;
  }

}

// Available plugin update notification.

#plugins-check-page,
#plugins-control-panel {
    .pluginupdateinfo {
        background-color: $state-info-bg;

        &.maturity50 {
            background-color: $state-danger-bg;
        }

        &.maturity100,
        &.maturity150 {
            background-color: $state-warning-bg;
        }
        padding: 1rem;
        margin: 10px 0;
        border-radius: $border-radius;

        .info {
            display: inline-block;
        }

        .separator {
          width: 100%;
          display: block;
          margin: $spacer 0;
        }

        .singlebutton {
            margin: 5px 0;
            padding: 0;

            div,
            input {
                margin: 0 3px 0 0;
            }

            .btn {
              margin: 0.5rem 0!important;
            }
        }


    }
}

.plugins-management-confirm-buttons {
    > div {
        display: inline-block;
        margin: 1em 1em 1em 0;
    }

    .continue {
        padding: 0;

        div,
        input {
            margin: 0;
        }
    }
}

.uninstalldeleteconfirmexternal {
    @extend .alert-warning;
    padding: 0.5em 1em;
    margin: 5px 0 10px 0;
}

#page-admin-index .upgradepluginsinfo {
    text-align: center;
}

#page-admin-index .adminwarning.availableupdatesinfo .moodleupdateinfo .separator:after {
    content: " | ";
}

/** MNet networking */
#page-admin-mnet-peers .box.deletedhosts {
    margin-bottom: 1em;
    font-size: $font-size-sm;
}

#page-admin-mnet-peers .mform .deletedhostinfo {
    @extend .form-control-danger;
    padding: 4px;
    margin-bottom: 5px;
}

#core-cache-plugin-summaries table,
#core-cache-store-summaries table {
    width: 100%;
}

#core-cache-lock-summary table,
#core-cache-definition-summaries table,
#core-cache-mode-mappings table {
    margin: 0 auto;
}

#core-cache-store-summaries .default-store td {
    font-style: italic;
}

#core-cache-rescan-definitions,
#core-cache-mode-mappings .edit-link,
#core-cache-lock-summary .new-instance {
    margin-top: 0.5em;
    text-align: center;
}

.maintenancewarning {
    position: fixed;
    bottom: 0;
    right: 0;
    overflow: hidden;
    z-index: $zindex-dropdown;

    &.error {
        @extend .form-control-danger;
    }

    &.warning {
        @extend .form-control-warning;
    }
}

.modal.modal-in-page {
    z-index: 10010;
}

#overriderolestable .overriddenpermission {
    @extend .table-warning;
}

.box.copyright {
  padding: 3 * $spacer;

  background-color: $gray-100;
  color: $body-color;

  a {
    color: inherit;
  }
}


    .drag-samenode {
        position: relative;
        padding-left: 40px;
    }

    .drag-handlecontainer {
        .moodle-core-dragdrop-draghandle {
            width: 25px;
            height: 100%;

            position: absolute;
            left: -20px;
            top: 0;

            background: $gray-200;
            border-radius: $border-radius;

            cursor: move;

            .icon {
                color: $gray-900;
                font-size: 12px;

                position: absolute;
                top: calc(50% - 5px);
                left: 5px;
            }
        }
    }

.data-registry .context-tree {
  background-color: $gray-100;
  border-radius: $border-radius;
  padding: 1rem!important;

  .nav-link {
    font-size: $font-size-sm;
    padding: 0.5rem;
  }
}

.settingsform {
    .form-text {
        margin-top: 0;
    }

    .form-textarea {
        textarea {
        width: 100%;
        min-height: 300px;
        }
    }
}

#adminsettings {

    .formsettingheading {
        font-size: $font-size-sm;
        padding: 0;
        margin-bottom: 2rem;

        #page-admin-setting-themesettingalpha & {
        text-align: center;

        img {
            max-width: 1110px;
            width: 100%;
        }
        }

    }


    fieldset {
      h3 {
        
        #page-admin-setting-themesettingalpha & {
        text-align: center;
        }

          a:not([class='btn-icon']) {
            position: relative;
            display: block;
  
            text-align: left;
            text-decoration: none;
  
            &:after {
                @extend %fa-icon;
                @extend .fas;
                content: fa-content($fa-var-caret-right);

                font-size: 14px;
                color: inherit;
                opacity: 0.6;

                position: absolute;
                top: calc(50% - 7px);
                right: 20px;
            }
          }
      }
    }
  
    span.error {
        display: inline-block;
        border: 1px solid $state-danger-border;
        border-radius: 4px;
        background-color: $state-danger-bg;
        padding: 4px;
        margin-bottom: 4px;
    }
  
  
    .form-control[size] {
        width: auto;
    }
  
    .error {
        color: $state-danger-text;
    }
  
  }


  #page-admin-setting-themesettingalpha {
    .settingsform {
        h3 {
            padding-top: 0;
            margin-top: 0;
            border-top: 0;
        }
    }
  }

  .path-admin-tool-lp [data-region="competencylinktree"] ul li>span {
      padding-left: 10px;
  }

  .backup_log_contents,
  .debuggingmessage,
  .plugin-install-console {
      padding: 2rem;
      border-radius: $border-radius;

      font-size: $font-size-sm;

      background-color: #000;
      color: #fff;
  }



 #page-admin-tool-dataprivacy-pluginregistry {
    [role="contentinfo"] {
      font-size: $font-size-sm;
    }
  }
  

// Custom sections 
#admin-showloginbg {
    padding-bottom: 20px;
    margin-bottom: 0;
    border-radius: 5px 5px 0 0;
} 

#admin-showloginbg,
#admin-logincustombg {
    background-color: $gray-100;
}

#admin-logincustombg {
    border-radius: 0 0 5px 5px;

    .filepicker-filelist, .filemanager-container {
        background-color: $white;
    }
}

// Content builder
#admin-slotblock1, 
#admin-slotblock2, 
#admin-slotblock3,
#admin-slotblock4, 
#admin-slotblock5, 
#admin-slotblock6, 
#admin-slotblock7, 
#admin-slotblock8, 
#admin-slotblock9,
#admin-slotblock10, 
#admin-slotblock11,
#admin-slotblock12
{
    background-color: $gray-100;
    padding-bottom: 0;
    margin-bottom: 0;
    border-radius: 5px 5px 0 0;

    select, .custom-select {
        padding-top: .25rem;
        padding-bottom: .25rem;
        min-width: 60px;
    }
}

#admin-slotblock3,
#admin-slotblock9,
#admin-slotblock13,
#admin-slotblock14,
#admin-slotblock15
{
    background-color: $gray-100;
    padding-bottom: 0;
    border-radius: 5px 5px 0 0;

    select, .custom-select {
        padding-top: .25rem;
        padding-bottom: .25rem;
        min-width: 60px;
    }
}

#admin-showfpblock1hr,
#admin-showfpblock2hr,
#admin-showfpblock3hr,
#admin-showfpblock4hr,
#admin-showfpblock5hr,
#admin-showfpblock6hr,
#admin-showfpblock7hr,
#admin-showfpblock8hr,
#admin-showfpblock9hr,
#admin-showfpblock10hr,
#admin-showfpblock11hr,
#admin-showfpblock12hr,
#admin-showfpblockteamhr
{
    background-color: $gray-100;
    padding-top: 0;
    border-radius: 0 0 5px 5px;

    label {
        font-size: $font-size-xs;
    }

}